This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 162311 - operation on 'p' may be undefined
operation on 'p' may be undefined
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-02 05:45 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-04 08:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-02 05:45:42 EDT
Description of problem:

I just tried to compile package kdelibs-3.4.0-6 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

KDGanttMinimizeSplitter.cpp:955: warning: operation on 'p' may be undefined

The source code is

	for ( ; offs < end - 1; offs += *offs++)

I agree with the compiler. offs gets incremented and added to, without
a sequence point between the operations.

Suggest code rework.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2005-07-04 06:33:04 EDT
i did not see the KDGanttMinimizeSplitter.cpp file in kdelibs! could
you please give more infos about this warning?  Thanks
Comment 2 Ngo Than 2005-07-04 08:11:12 EDT
ok , i found it in kdepim. It's fixed now in kdepim-3.4.1-2. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.